Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlStreamEntityDeclaration

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QXmlStreamEntityDeclaration

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QXmlStreamEntityDeclaration

extends QtJambiObject
implements java.lang.Cloneable

The `QXmlStreamEntityDeclaration` class represents a DTD entity declaration. An entity declaration consists of a `name()`, a `notationName()`, a `systemId()`, a `publicId()`, and a `value()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QXmlStreamEntityDeclaration()` Creates an empty entity declaration.
`QXmlStreamEntityDeclaration(QXmlStreamEntityDeclaration arg__1)` Creates a copy of `other`.

Method Summary
`QXmlStreamEntityDeclaration` | `clone()` This method is reimplemented for internal reasons
`static QXmlStreamEntityDeclaration` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QXmlStreamEntityDeclaration instance pointed to by `nativePointer`.
`java.lang.String` | `name()` Returns the entity name.
`static QNativePointer` | `nativePointerArray(QXmlStreamEntityDeclaration[] array)` This function returns a QNativePointer that is pointing to the specified QXmlStreamEntityDeclaration array.
`java.lang.String` | `notationName()` Returns the notation name.
`java.lang.String` | `publicId()` Returns the public identifier.
`java.lang.String` | `systemId()` Returns the system identifier.
`java.lang.String` | `value()` Returns the entity's value.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlStreamEntityDeclaration

    public QXmlStreamEntityDeclaration()

  Creates an empty entity declaration.

### QXmlStreamEntityDeclaration

    public QXmlStreamEntityDeclaration(QXmlStreamEntityDeclaration arg__1)

  Creates a copy of `other`.

Method Detail

### name

    public final java.lang.String name()

  Returns the entity name.

### notationName

    public final java.lang.String notationName()

  Returns the notation name.

### publicId

    public final java.lang.String publicId()

  Returns the public identifier.

### systemId

    public final java.lang.String systemId()

  Returns the system identifier.

### value

    public final java.lang.String value()

  Returns the entity's value.

### fromNativePointer

    public static QXmlStreamEntityDeclaration fromNativePointer(QNativePointer nativePointer)

  This method returns the QXmlStreamEntityDeclaration instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QXmlStreamEntityDeclaration[] array)

  This function returns a QNativePointer that is pointing to the specified QXmlStreamEntityDeclaration array.

### clone

    public QXmlStreamEntityDeclaration clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD